This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 743778

Summary: IOError: [Errno 5] Input/output error
Product: [Fedora] Fedora Reporter: Al Dunsmuir <al.dunsmuir>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: al.dunsmuir, anaconda-maint-list, jonathan, robatino, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:c4d95e10a42266ed0277a7195b1e9a8e97ef5151ad9d6c7d26596e23ec4d870f
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-06 09:43:02 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: anaconda-tb-cqmZik none

Description Al Dunsmuir 2011-10-05 21:16:30 EDT
libreport version: 2.0.5.982
executable:     /usr/bin/python
hashmarkername: anaconda
kernel:         3.1.0-0.rc6.git0.3.fc16.i686
product:        Fedora
reason:         IOError: [Errno 5] Input/output error
time:           Wed Oct  5 17:10:22 2011
version:        16-Beta

anaconda-tb-cqmZik: Binary file, 740628 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 16.20 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 369, in _mountInstallCD
:    self._timestamp = f.readline().strip()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 483, in configBaseURL
:    self._mountInstallCD()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 356, in setup
:    self.configBaseURL()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1244, in doBackendSetup
:    self.ayum.setup()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/backend.py", line 192, in doBackendSetup
:    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 373, in dispatch
:    self.dir = self.steps[self.step].target(self.anaconda)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/dispatch.py", line 241, in go_forward
:    self.dispatch()
:  File "/usr/lib/python2.7/site-packages/pyanaconda/gui.py", line 1203, in nextClicked
:    self.anaconda.dispatch.go_forward()
:IOError: [Errno 5] Input/output error
Comment 1 Al Dunsmuir 2011-10-05 21:16:43 EDT
Created attachment 526600 [details]
File: anaconda-tb-cqmZik
Comment 2 Chris Lumens 2011-10-06 09:43:02 EDT
You have errors reading from the CD media.  Did you verify your media before doing an install?
Comment 3 Al Dunsmuir 2011-10-08 21:13:24 EDT
Not this time.  Murphy wins.

Hardware problem with DVD drive is confirmed.  After replacing DVD drive,
install worked fine.
Comment 4 Andre Robatino 2011-11-04 20:50:52 EDT
On a clean install, I did do the mediacheck, and it passed, then I hit this bug (saving traceback to bugzilla directed me here) shortly after partitioning (around the page that says where to install the bootloader) but before package installation, which is where you would expect a read error to be most likely to hit. I started the clean install again, the mediacheck passed again, the rest of the install finished normally.